EDIT - bug #6165

distributionInfoFor service no longer respects the statsusColors parameter
10/26/2016 10:20 AM - Andreas Kohlbecker

Status: Rejected Start date:

Priority: Highest Due date:

Assignee: Andreas Kohlbecker % Done: 0%
Category: data Estimated time: 0:00 hour
Target version:

Severity: normal Found in Version: Release 4.3
Description

The below request includes the statusColors parameter:

http://api.cybertaxonomy.org/cyprus/portal/description/distributionIinfoFor/b9757705-4ec9-45de-960b-49cbc09e02ba.json?recipe=Eur
oPlusMed&part=mapUriParams&statusColors={%0D%0A%22IN%22%3A%22%23339966%22%2C%0D%0A%22¢%22%3A%22%2

3bdb76b%22%2C%0D%0A%22CA%22%3A%22%23ffff00%22%2C %0D%0A%22NN%22%3A%22%23ff9900%22%2C%0D%0A %2
2NA%22%3A%22%23ff0000%22%2C%0D%0A%22Q%22%3A%22%2300¢ccff%22%2C%0D%0A%22{%22%3A%22%23cccccc%22

%0D%0A}

The statusColors parameter in url-decoded form:

{
"IN":"#339966",
"c":"#bdb76b",
"CA":"#ff£f£f00",
"NN":"#££9900",
"NA":"#££0000",
"Q":"#00ccff",
"f":"#cccecee"

}

But the according response is missing the user defined colors.

Related issues:
Related to EDIT - feature request #5778: Update symbols for PresenceAbsenceTe... Closed

History

#1 - 10/26/2016 10:21 AM - Andreas Kohlbecker
- Description updated

#2 - 11/02/2016 02:01 PM - Andreas Miiller
- Category set to data
- Status changed from New to Rejected

- Target version deleted (Release 4.4)

This issue is a data issue related to merges of presence absence terms (#5778). The hardcoded colors have been changed in DB and portal now, so
the problem should be solved.

#3 - 11/02/2016 02:02 PM - Andreas Miiller

- Related to feature request #5778: Update symbols for PresenceAbsenceTerms in existing databases added
